Bug 649693 - (CVE-2010-3873) CVE-2010-3873 kernel: memory corruption in X.25 facilities parsing
CVE-2010-3873 kernel: memory corruption in X.25 facilities parsing
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 06:19 EDT by Eugene Teo (Security Response)
Modified: 2016-06-10 18:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 18:32:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-11-04 06:19:43 EDT
Description of problem:
Due to bad parsing of malformed X.25 facilities, a remote attacker can
cause a kernel panic due to heap corruption (assuming both parties are
communicating using X.25).

Reference:
http://www.spinics.net/lists/netdev/msg145786.html
http://www.spinics.net/lists/netdev/msg145873.html

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.
Comment 1 Petr Matousek 2010-11-08 15:16:53 EST
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 3, 4, 5, and Red Hat Enterprise MRG as they did not include
support for CCITT X.25 Packet Layer.
Comment 2 Eugene Teo (Security Response) 2010-11-22 08:21:39 EST
Upstream commit:
http://git.kernel.org/linus/a6331d6f9a4298173b413cf99a40cc86a9d92c37

Note You need to log in before you can comment on or make changes to this bug.